[pkg] Add python-logilab-constraint to debian dependencies
authorSylvain Thénault <sylvain.thenault@logilab.fr>
Fri, 27 Jan 2017 16:45:33 +0100
changeset 808 1efe574ab302
parent 807 824af70cc527
child 809 3f6fd47874d8
[pkg] Add python-logilab-constraint to debian dependencies else we may run into problem when pkg_resources is used, as it will detect that a dependancy in the python package isn't installed. Fix it this way rather than using extras_require because we want the package to be usable with a simple pip install. Closes #9343431
debian/control
--- a/debian/control	Thu Dec 01 23:19:18 2016 +0100
+++ b/debian/control	Fri Jan 27 16:45:33 2017 +0100
@@ -28,6 +28,7 @@
  python-logilab-common (>= 0.35.3-1),
  yapps2-runtime,
  python-logilab-database (>= 1.6.0),
+ python-logilab-constraint,
  python-six (>= 1.4.0),
 Breaks:
  cubicweb-common (<< 3.21.99),
@@ -47,6 +48,7 @@
  python3-logilab-common,
  python3-yapps2-runtime,
  python3-logilab-database (>= 1.6.0),
+ python3-logilab-constraint,
  python3-six (>= 1.4.0),
 Suggests: python3-pygments
 Description: relationship query language (RQL) utilities - Python 3